Bug 1102323 (CVE-2014-3468) - CVE-2014-3468 libtasn1: asn1_get_bit_der() can return negative bit length
Summary: CVE-2014-3468 libtasn1: asn1_get_bit_der() can return negative bit length
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3468
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140525,repor...
Depends On: 1102336 1102337 1102338 1102339 1102355 1102356 1103087 1103088 1103089
Blocks: 1101736
TreeView+ depends on / blocked
 
Reported: 2014-05-28 18:31 UTC by Tomas Hoger
Modified: 2019-06-08 20:03 UTC (History)
6 users (show)

Fixed In Version: libtasn1 3.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 12:45:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0594 normal SHIPPED_LIVE Important: gnutls security update 2014-06-03 20:06:30 UTC
Red Hat Product Errata RHSA-2014:0596 normal SHIPPED_LIVE Moderate: libtasn1 security update 2014-06-03 20:06:08 UTC
Red Hat Product Errata RHSA-2014:0687 normal SHIPPED_LIVE Moderate: libtasn1 security update 2014-06-10 16:34:16 UTC
Red Hat Product Errata RHSA-2014:0815 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-06-30 21:28:41 UTC

Description Tomas Hoger 2014-05-28 18:31:12 UTC
It was discovered that libtasn1 library function asn1_get_bit_der() could incorrectly report negative bit length of the value read from ASN.1 input.  This could possibly lead to an out of bounds access in an application using libtasn1, for example in case if application tried to terminate read value with NUL byte.

The following upstream commit corrects the issue and causes the function to report error rather than return negative length value:
http://git.savannah.gnu.org/cgit/libtasn1.git/commit/?id=1c3ccb3e040bf13e342ee60bc23b21b97b11923f

Comment 3 Tomas Hoger 2014-05-29 11:41:39 UTC
Acknowledgment:

Red Hat would like to thank GnuTLS upstream for reporting this issue.

Comment 4 Tomas Hoger 2014-05-30 08:18:04 UTC
Fixed upstream in libtasn1 3.6:
http://lists.gnu.org/archive/html/help-libtasn1/2014-05/msg00006.html

Comment 5 Tomas Hoger 2014-05-30 08:26:28 UTC
Created libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1103087]

Comment 6 Tomas Hoger 2014-05-30 08:26:31 UTC
Created mingw-libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1103088]

Comment 7 Tomas Hoger 2014-05-30 08:26:34 UTC
Created mingw32-gnutls tracking bugs for this issue:

Affects: epel-5 [bug 1103089]

Comment 8 errata-xmlrpc 2014-06-03 16:09:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0596 https://rhn.redhat.com/errata/RHSA-2014-0596.html

Comment 9 errata-xmlrpc 2014-06-03 16:10:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0594 https://rhn.redhat.com/errata/RHSA-2014-0594.html

Comment 10 Fedora Update System 2014-06-04 07:52:08 UTC
libtasn1-3.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-06-10 03:06:14 UTC
libtasn1-3.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2014-06-10 12:35:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0687 https://rhn.redhat.com/errata/RHSA-2014-0687.html

Comment 13 errata-xmlrpc 2014-06-30 17:28:55 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0815 https://rhn.redhat.com/errata/RHSA-2014-0815.html


Note You need to log in before you can comment on or make changes to this bug.